library(pscl)
library(tseries)
library(nlWaldTest)

## Simulation Example no 1.
# CVM

rm(list=ls())
set.seed(1234567) # setting seed

WTP <- rpois(1000, 20)
hist(WTP)

bid<- sample.int(5, 1000, replace = TRUE)
summary(WTP)
bid[bid == 5] = 30
bid[bid == 4] = 25
bid[bid == 3] = 20
bid[bid == 2] = 15
bid[bid == 1] = 10
hist(bid)
ans <- WTP > bid

model1 <- glm(ans ~ bid,  family=binomial(link="logit"))
summary(model1)

# WTP for the program
nlConfint(model1, "-b[1]/b[2]")
mean(WTP)